*** Table A.I
use "${data}/tariffs_industry_census.dta", clear
keep if time_id==0
qui gen Numberlarge= Firmnumber_large200 +Firmnumber_vlarge
qui gen Numbersmallmed= Firmnumber_small5+ Firmnumber_small10+ Firmnumber_medium1050 
collapse (sum) Numbersmallmed Numberlarge
*** 1875
sum Numbersmallmed Numberlarge
clear
use "${data}/trade_industry_census.dta", clear
qui gen Firmnumbersmallmed= Numbersmall5+ Numbersmall10+ Numbermedium
collapse (sum) Firmnumbersmallmed Numberlarge, by(time_id)
*** 1882
sum Firmnumbersmallmed Numberlarge if time_id==1
*** 1895
sum Firmnumbersmallmed Numberlarge if time_id==2
*** 1907
sum Firmnumbersmallmed Numberlarge if time_id==3
clear
*** Table A.IV
use "${data}/trade_industry_census.dta", clear
keep if time_id>1
collapse (sum) aggregate_trade, by(Industrie time_id)
egen Industrie_id=group(Industrie)
xtset Industrie_id time_id
qui gen growth=100*(aggregate_trade-L.aggregate_trade)/L.aggregate_trade
*** Iron ore
sum L.aggregate_trade if time_id==3 & Industrie_id==7
sum aggregate_trade if time_id==3 & Industrie_id==7
sum growth if time_id==3 & Industrie_id==7
*** Iron and steel
sum L.aggregate_trade if time_id==3 & Industrie_id==5
sum aggregate_trade if time_id==3 & Industrie_id==5
sum growth if time_id==3 & Industrie_id==5
*** Hard coal
sum L.aggregate_trade if time_id==3 & Industrie_id==17
sum aggregate_trade if time_id==3 & Industrie_id==17
sum growth if time_id==3 & Industrie_id==17
*** Brown Coal
sum L.aggregate_trade if time_id==3 & Industrie_id==2
sum aggregate_trade if time_id==3 & Industrie_id==2
sum growth if time_id==3 & Industrie_id==2
*** Stone
sum L.aggregate_trade if time_id==3 & Industrie_id==16
sum aggregate_trade if time_id==3 & Industrie_id==16
sum growth if time_id==3 & Industrie_id==16
*** Earth, gravel, and sand
sum L.aggregate_trade if time_id==3 & Industrie_id==11
sum aggregate_trade if time_id==3 & Industrie_id==11
sum growth if time_id==3 & Industrie_id==11
*** Lime and cement
sum L.aggregate_trade if time_id==3 & Industrie_id==10
sum aggregate_trade if time_id==3 & Industrie_id==10
sum growth if time_id==3 & Industrie_id==10
*** Glass
sum L.aggregate_trade if time_id==3 & Industrie_id==8
sum aggregate_trade if time_id==3 & Industrie_id==8
sum growth if time_id==3 & Industrie_id==8
*** Iron and steel products
sum L.aggregate_trade if time_id==3 & Industrie_id==6
sum aggregate_trade if time_id==3 & Industrie_id==6
sum growth if time_id==3 & Industrie_id==6
*** Chemistry products
sum L.aggregate_trade if time_id==3 & Industrie_id==3
sum aggregate_trade if time_id==3 & Industrie_id==3
sum growth if time_id==3 & Industrie_id==3
*** Fertilizer
sum L.aggregate_trade if time_id==3 & Industrie_id==4
sum aggregate_trade if time_id==3 & Industrie_id==4
sum growth if time_id==3 & Industrie_id==4
*** Fat and oils
sum L.aggregate_trade if time_id==3 & Industrie_id==13
sum aggregate_trade if time_id==3 & Industrie_id==13
sum growth if time_id==3 & Industrie_id==13
*** Petroleum and other mineral oils
sum L.aggregate_trade if time_id==3 & Industrie_id==15
sum aggregate_trade if time_id==3 & Industrie_id==15
sum growth if time_id==3 & Industrie_id==15
*** Wool
sum L.aggregate_trade if time_id==3 & Industrie_id==18
sum aggregate_trade if time_id==3 & Industrie_id==18
sum growth if time_id==3 & Industrie_id==18
*** Cotton
sum L.aggregate_trade if time_id==3 & Industrie_id==1
sum aggregate_trade if time_id==3 & Industrie_id==1
sum growth if time_id==3 & Industrie_id==1
*** Paper
sum L.aggregate_trade if time_id==3 & Industrie_id==14
sum aggregate_trade if time_id==3 & Industrie_id==14
sum growth if time_id==3 & Industrie_id==14
*** Leather
sum L.aggregate_trade if time_id==3 & Industrie_id==12
sum aggregate_trade if time_id==3 & Industrie_id==12
sum growth if time_id==3 & Industrie_id==12
*** Timber
sum L.aggregate_trade if time_id==3 & Industrie_id==9
sum aggregate_trade if time_id==3 & Industrie_id==9
sum growth if time_id==3 & Industrie_id==9
*** Table A.V
use "${data}/bilateral_trade.dta" , clear
preserve
capture qui gen Exporter_Industrie_time=Exporter_str+"_"+Industrie+"_"+time_str
qui gen count=1 if Trade>0
collapse (sum) count (mean) Industrie_id time_id if Exporter<=17 & Importer<=17 , by (Exporter_Industrie_time)
*** Domestic destination
sum count if time_id==1
sum count if time_id==2
sum count if time_id==3
collapse count (median) count_med=count   , by ( Industrie_id time_id )
sum count_med if time_id==1
sum count_med if time_id==2
sum count_med if time_id==3
restore
preserve
capture qui gen Importer_Industrie_time=Importer_str+"_"+Industrie+"_"+time_str
qui gen count=1 if Trade>0
collapse (sum) count (mean) Industrie_id time_id if Exporter<=17 & Importer<=17 , by (Importer_Industrie_time)
*** Domestic source
sum count if time_id==1
sum count if time_id==2
sum count if time_id==3
collapse count (median) count_med=count   , by ( Industrie_id time_id )
sum count_med if time_id==1
sum count_med if time_id==2
sum count_med if time_id==3
restore
preserve
capture qui gen Exporter_Industrie_time=Exporter_str+"_"+Industrie+"_"+time_str
qui gen count=1 if Trade>0
collapse (sum) count (mean) Industrie_id time_id if Exporter<=17 & Importer>17 , by (Exporter_Industrie_time)
*** Foreign destination
sum count if time_id==1
sum count if time_id==2
sum count if time_id==3
collapse count (median) count_med=count   , by ( Industrie_id time_id )
sum count_med if time_id==1
sum count_med if time_id==2
sum count_med if time_id==3
restore
preserve
capture qui gen Importer_Industrie_time=Importer_str+"_"+Industrie+"_"+time_str
qui gen count=1 if Trade>0
collapse (sum) count (mean) Industrie_id time_id if Importer<=17 & Exporter>17 , by (Importer_Industrie_time)
*** Foreign source
sum count if time_id==1
sum count if time_id==2
sum count if time_id==3
collapse count (median) count_med=count   , by ( Industrie_id time_id )
sum count_med if time_id==1
sum count_med if time_id==2
sum count_med if time_id==3
clear
